curl "https://api.phrase.com/v2/projects/:project_id/report/locales?locale_codes[]=de&locale_codes[]=en&branch=my-feature-branch" \
-X GET \
-u USERNAME_OR_ACCESS_TOKENphrase report locales list \
--project_id <project_id> \
--branch my-feature-branch \
--locale_codes de \
--access_token <token>import requests
url = "https://api.phrase.com/v2/projects/{project_id}/report/locales"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.phrase.com/v2/projects/{project_id}/report/locales', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"keys_count": 123,
"translated_translations_percentage": 123,
"unverified_translations_percentage": 123,
"reviewed_translations_percentage": 123,
"untranslated_keys_percentage": 123,
"completed_translations_count": 123,
"untranslated_keys_count": 123,
"unverified_translations_count": 123,
"reviewed_translations_count": 123,
"source_word_count": 123,
"word_count": 123,
"word_count_unverified": 123,
"word_count_missing": 123,
"locale": {
"id": "abcd1234cdef1234abcd1234cdef1234",
"name": "English",
"code": "en-GB"
}
}
]List Locale Reports (word count, character count, translation statistics)
List all locale reports for the given project. Each report includes translation statistics per locale, including word count and character count fields (source_word_count, word_count, word_count_unverified, word_count_missing) as well as translation completion statistics (keys_count, completed_translations_count, untranslated_keys_count, unverified_translations_count, reviewed_translations_count, and their percentages). Use the tag parameter to scope the report to a specific job (e.g. its job tag) to get job-scoped word count statistics.
curl "https://api.phrase.com/v2/projects/:project_id/report/locales?locale_codes[]=de&locale_codes[]=en&branch=my-feature-branch" \
-X GET \
-u USERNAME_OR_ACCESS_TOKENphrase report locales list \
--project_id <project_id> \
--branch my-feature-branch \
--locale_codes de \
--access_token <token>import requests
url = "https://api.phrase.com/v2/projects/{project_id}/report/locales"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.phrase.com/v2/projects/{project_id}/report/locales', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"keys_count": 123,
"translated_translations_percentage": 123,
"unverified_translations_percentage": 123,
"reviewed_translations_percentage": 123,
"untranslated_keys_percentage": 123,
"completed_translations_count": 123,
"untranslated_keys_count": 123,
"unverified_translations_count": 123,
"reviewed_translations_count": 123,
"source_word_count": 123,
"word_count": 123,
"word_count_unverified": 123,
"word_count_missing": 123,
"locale": {
"id": "abcd1234cdef1234abcd1234cdef1234",
"name": "English",
"code": "en-GB"
}
}
]Authorizations
Enter your token in the format token TOKEN
Headers
Two-Factor-Authentication token (optional)
Path Parameters
Project ID
Query Parameters
Page number
Limit on the number of objects to be returned, between 1 and 100. 25 by default
Locale Code
tag
specify the branch to use
Response
OK
Show child attributes
Show child attributes
{
"id": "abcd1234cdef1234abcd1234cdef1234",
"name": "English",
"code": "en-GB"
}
Was this page helpful?